
Katello - Refactor #5628

Remove converted v1 API controllers and tests

05/07/2014 08:54 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: API   

Target version: Katello 2.0   

Branch:  Pull request:  

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112836 Red Hat JIRA:  

Description

We need to revisit API v1 controllers and either add CRUD authorization to them or remove them entirely.

Related issues:

Related to Katello - Bug #5843: Remove v1 API routes Closed 05/20/2014

Has duplicate Katello - Bug #5839: Convert host_collection_{errata,packages} ... Duplicate 05/20/2014

Blocked by Katello - Feature #5709: Packages and Distributions API controller... Closed 05/14/2014

Associated revisions

Revision a1de666c - 06/30/2014 11:27 AM - Walden Raines

Fixes #5628 - remove converted v1 API controllers and tests.

Remove all of the v1 controllers and tests that have already been

converted to v2 and are no longer used.

Revision aca67aa3 - 06/30/2014 01:43 PM - Walden Raines

Merge pull request #4303 from waldenraines/5628

Fixes #5628 - remove converted v1 API controllers and tests.

History

#1 - 05/07/2014 08:56 PM - Walden Raines

- Related to Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#2 - 05/07/2014 08:56 PM - Walden Raines

- Tracker changed from Bug to Feature

#3 - 05/13/2014 09:16 PM - Walden Raines

- Status changed from New to Assigned

- Assignee set to Walden Raines

#4 - 05/14/2014 12:43 PM - Walden Raines

- Subject changed from API V1 Controllers:  CRUD authorization or remove to Remove v1 API controllers and tests

#5 - 05/15/2014 03:54 PM - Walden Raines

- Blocked by Feature #5709: Packages and Distributions API controllers need converting to V2 added

#6 - 05/15/2014 06:59 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4098
#7 - 05/20/2014 07:12 PM - Walden Raines

- Has duplicate Bug #5839: Convert host_collection_{errata,packages} to new roles system added

#8 - 05/20/2014 09:16 PM - Walden Raines

- Related to deleted (Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me.)

#9 - 05/20/2014 09:17 PM - Walden Raines

- Related to Bug #5843: Remove v1 API routes added

#10 - 05/20/2014 09:17 PM - Walden Raines

This is not a blocker for roles if we "hide" the v1 routes, see http://projects.theforeman.org/issues/5843.

#11 - 05/22/2014 04:05 PM - Walden Raines

- Status changed from Ready For Testing to Assigned

#12 - 05/28/2014 07:20 PM - Walden Raines

- Status changed from Assigned to New

Not currently working on this.

#13 - 06/05/2014 02:27 PM - Eric Helms

- Tracker changed from Feature to Refactor

- Category set to API

- Triaged changed from No to Yes

#14 - 06/19/2014 01:32 PM - Walden Raines

This issue is for removing the controllers which have already been converted to v2.  For converting the remaining v1 controllers, see #6287.

#15 - 06/19/2014 01:32 PM - Walden Raines

- Status changed from New to Assigned

#16 - 06/19/2014 01:39 PM - Walden Raines

- Subject changed from Remove v1 API controllers and tests to Remove converted v1 API controllers and tests

#17 - 06/19/2014 01:45 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4303

#18 - 06/24/2014 07:12 PM - Walden Raines

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112835

#19 - 06/24/2014 07:13 PM - Walden Raines

- Bugzilla link deleted (https://bugzilla.redhat.com/show_bug.cgi?id=1112835)

#20 - 06/24/2014 07:14 PM - Walden Raines

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112836

#21 - 06/30/2014 02:10 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|a1de666c5722df480639ee28a38b9739763c5428.

#22 - 07/07/2014 07:25 AM - Eric Helms

- Target version set to 48
#23 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
